<?php
 $a=1; 
 $b=2;
 echo 'Dans programme : $a='.$a.'  $b='.$b."\n";
 echo "Retour de la fonction somme()=".somme()."\n";
 echo '$loc1='.$loc1."\n";
 function somme()
 {echo "----Dans la fonction---\n";
  $result=$a+$b;
  $loc1=10; 
  echo '$a='.$a.' et $b='.$b.' result='.$result."\n" ;
  echo 'et $loc1='.$loc1."\n";
  echo "-----------------------\n";
  return $result;
 }
?>
